Skip to content

Update identity source connection

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If this document description is incorrect, please refer to V3 API.

Update the identity source connection, you can set the identity source icon, whether to support login only, etc.

Method name

ManagementClient.updateExtIdpConn

Request parameters

NameTypeRequiredDefault valueDescriptionExample value
fieldsobjectYes-Identity source connection custom parameters (incremental modification){"clientId":"clientId"}
displayNamestringYes-Identity source connection display nameexampleName
idstringYes-Identity source connection ID60b49eb83fd80adb96f26e68
logostringNo-Icon for identity source connectionhttps://files.authing.co/authing-console/social-connections/icon_xiaochengxu@2x.png
loginOnlybooleanNo-Whether to support login only
tenantIdstringNo-Tenant ID60b49eb83fd80adb96f26e68

Sample code

ts
import { ManagementClient, Models } from "authing-node-sdk";

// Initialize ManagementClient
const managementClient = new ManagementClient({
  // Need to be replaced with your GenAuth Access Key ID
  accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
  // Need to be replaced with your GenAuth Access Key Secret
  accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
  // If it is a private deployment customer, you need to set the GenAuth service domain name
  // host: 'https://api.your-authing-service.com'
});

(async () => {
  const result = await managementClient.updateExtIdpConn({
    id: "60b49ebxxxxxxadb96f26e68",
    displayName: "exampleName",
    fields: {
      clientId: "clientId",
    },
    logo: "https://files.authing.co/authing-console/social-connections/icon_xiaochengxu@2x.png",
    loginOnly: false,
  });

  console.log(JSON.stringify(result, null, 2));
})();

Request Response

Type: ExtIdpConnDetailSingleRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful requests are not returned). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a ExtIdpConnDetailResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "id": "60b49eb83fd80adb96f26e68",
    "type": "default",
    "extIdpId": "6318061be13c0ce6a64093e5",
    "logo": "https://files.authing.co/authing-console/social-connections/icon_xiaochengxu@2x.png",
    "identifier": "60b49eb83fd80adb96f26e68",
    "displayName": "Login page",
    "loginOnly": true,
    "associationMode": "challenge",
    "challengeBindingMethods": "[\"email-password\"]"
  }
}

Data Structure

ExtIdpConnDetail

NameTypeIs it required?DescriptionSample value
idstringYesIdentity source connection id60b49eb83fd80adb96f26e68
typestringYesIdentity source connection typeoidc
extIdpIdstringYesIdentity source ID6318061be13c0ce6a64093e5
logostringyesIdentity source connection iconhttps://files.authing.co/authing-console/social-connections/icon_xiaochengxu@2x.png
identifierstringnoIdentity source connection identifier60b49eb83fd80adb96f26e68
displayNamestringnoDisplay name of the identity source connection on the login pageLogin page
loginOnlybooleanyesWhether to support only logintrue
associationModestringyesAccount association modenone
challengeBindingMethodsarrayyesAccount binding method["email-password"]

Agent infrastructure for identity, memory, and web action.